Index: /pjproject/branches/projects/2.0-dev/pjmedia/include/pjmedia-videodev/config.h
===================================================================
--- /pjproject/branches/projects/2.0-dev/pjmedia/include/pjmedia-videodev/config.h	(revision 3657)
+++ /pjproject/branches/projects/2.0-dev/pjmedia/include/pjmedia-videodev/config.h	(revision 3658)
@@ -41,4 +41,15 @@
  * @{
  */
+
+/**
+ * This setting controls the maximum number of formats that can be
+ * supported by a video device.
+ *
+ * Default: 16
+ */
+#ifndef PJMEDIA_VID_DEV_INFO_FMT_CNT
+#   define PJMEDIA_VID_DEV_INFO_FMT_CNT 16
+#endif
+
 
 /**
Index: /pjproject/branches/projects/2.0-dev/pjmedia/include/pjmedia-videodev/videodev.h
===================================================================
--- /pjproject/branches/projects/2.0-dev/pjmedia/include/pjmedia-videodev/videodev.h	(revision 3657)
+++ /pjproject/branches/projects/2.0-dev/pjmedia/include/pjmedia-videodev/videodev.h	(revision 3658)
@@ -76,5 +76,5 @@
  *
  * Application can also set the specific features/capabilities when opening
- * the video stream by setting the \a flags member of #pjmedia_vid_param
+ * the video stream by setting the \a flags member of #pjmedia_vid_dev_param
  * structure.
  *
@@ -167,5 +167,5 @@
      * to zero, it indicates that the exact format combination is being used. 
      */
-    pjmedia_format *fmt;
+    pjmedia_format fmt[PJMEDIA_VID_DEV_INFO_FMT_CNT];
 
 } pjmedia_vid_dev_info;
@@ -175,5 +175,5 @@
 typedef struct pjmedia_vid_dev_stream pjmedia_vid_dev_stream;
 
-typedef struct pjmedia_vid_cb
+typedef struct pjmedia_vid_dev_cb
 {
     /**
@@ -215,5 +215,5 @@
                              pjmedia_frame *frame);
 
-} pjmedia_vid_cb;
+} pjmedia_vid_dev_cb;
 
 
@@ -221,5 +221,5 @@
  * This structure specifies the parameters to open the video stream.
  */
-typedef struct pjmedia_vid_param
+typedef struct pjmedia_vid_dev_param
 {
     /**
@@ -288,5 +288,5 @@
     pj_bool_t window_hide;
 
-} pjmedia_vid_param;
+} pjmedia_vid_dev_param;
 
 
@@ -313,5 +313,5 @@
 
 /**
- * Set a capability field value in #pjmedia_vid_param structure. This will
+ * Set a capability field value in #pjmedia_vid_dev_param structure. This will
  * also set the flags field for the specified capability in the structure.
  *
@@ -324,11 +324,12 @@
  *                  error code.
  */
-PJ_DECL(pj_status_t) pjmedia_vid_param_set_cap(pjmedia_vid_param *param,
-                                               pjmedia_vid_dev_cap cap,
-                                               const void *pval);
-
-
-/**
- * Get a capability field value from #pjmedia_vid_param structure. This
+PJ_DECL(pj_status_t)
+pjmedia_vid_dev_param_set_cap(pjmedia_vid_dev_param *param,
+                              pjmedia_vid_dev_cap cap,
+                              const void *pval);
+
+
+/**
+ * Get a capability field value from #pjmedia_vid_dev_param structure. This
  * function will return PJMEDIA_EVID_INVCAP error if the flag for that
  * capability is not set in the flags field in the structure.
@@ -342,7 +343,8 @@
  *                  error code.
  */
-PJ_DECL(pj_status_t) pjmedia_vid_param_get_cap(const pjmedia_vid_param *param,
-                                               pjmedia_vid_dev_cap cap,
-                                               void *pval);
+PJ_DECL(pj_status_t)
+pjmedia_vid_dev_param_get_cap(const pjmedia_vid_dev_param *param,
+                              pjmedia_vid_dev_cap cap,
+                              void *pval);
 
 /**
@@ -470,7 +472,8 @@
  *                  error code.
  */
-PJ_DECL(pj_status_t) pjmedia_vid_dev_default_param(pj_pool_t *pool,
-                                                   pjmedia_vid_dev_index id,
-                                                   pjmedia_vid_param *param);
+PJ_DECL(pj_status_t)
+pjmedia_vid_dev_default_param(pj_pool_t *pool,
+                              pjmedia_vid_dev_index id,
+                              pjmedia_vid_dev_param *param);
 
 
@@ -498,6 +501,6 @@
  */
 PJ_DECL(pj_status_t) pjmedia_vid_dev_stream_create(
-					    pjmedia_vid_param *param,
-					    const pjmedia_vid_cb *cb,
+					    pjmedia_vid_dev_param *param,
+					    const pjmedia_vid_dev_cb *cb,
 					    void *user_data,
 					    pjmedia_vid_dev_stream **p_strm);
@@ -515,5 +518,5 @@
 PJ_DECL(pj_status_t) pjmedia_vid_dev_stream_get_param(
 					    pjmedia_vid_dev_stream *strm,
-                                            pjmedia_vid_param *param);
+                                            pjmedia_vid_dev_param *param);
 
 /**
Index: /pjproject/branches/projects/2.0-dev/pjmedia/include/pjmedia-videodev/videodev_imp.h
===================================================================
--- /pjproject/branches/projects/2.0-dev/pjmedia/include/pjmedia-videodev/videodev_imp.h	(revision 3657)
+++ /pjproject/branches/projects/2.0-dev/pjmedia/include/pjmedia-videodev/videodev_imp.h	(revision 3658)
@@ -80,5 +80,5 @@
                                  pjmedia_vid_dev_factory *f,
 				 unsigned index,
-				 pjmedia_vid_param *param);
+				 pjmedia_vid_dev_param *param);
 
     /**
@@ -87,6 +87,6 @@
      */
     pj_status_t (*create_stream)(pjmedia_vid_dev_factory *f,
-				 pjmedia_vid_param *param,
-				 const pjmedia_vid_cb *cb,
+				 pjmedia_vid_dev_param *param,
+				 const pjmedia_vid_dev_cb *cb,
 				 void *user_data,
 				 pjmedia_vid_dev_stream **p_vid_strm);
@@ -127,5 +127,5 @@
      */
     pj_status_t (*get_param)(pjmedia_vid_dev_stream *strm,
-			     pjmedia_vid_param *param);
+			     pjmedia_vid_dev_param *param);
 
     /**
Index: /pjproject/branches/projects/2.0-dev/pjmedia/include/pjmedia/vid_port.h
===================================================================
--- /pjproject/branches/projects/2.0-dev/pjmedia/include/pjmedia/vid_port.h	(revision 3657)
+++ /pjproject/branches/projects/2.0-dev/pjmedia/include/pjmedia/vid_port.h	(revision 3658)
@@ -45,5 +45,5 @@
      * Video stream parameter.
      */
-    pjmedia_vid_param	vidparam;
+    pjmedia_vid_dev_param	vidparam;
 
     /**
@@ -102,5 +102,5 @@
  */
 PJ_DECL(void) pjmedia_vid_port_set_cb(pjmedia_vid_port *vid_port,
-				      const pjmedia_vid_cb *cb,
+				      const pjmedia_vid_dev_cb *cb,
                                       void *user_data);
 
Index: /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-videodev/colorbar_dev.c
===================================================================
--- /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-videodev/colorbar_dev.c	(revision 3657)
+++ /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-videodev/colorbar_dev.c	(revision 3658)
@@ -82,8 +82,8 @@
 {
     pjmedia_vid_dev_stream	     base;	    /**< Base stream	    */
-    pjmedia_vid_param		     param;	    /**< Settings	    */
+    pjmedia_vid_dev_param	     param;	    /**< Settings	    */
     pj_pool_t			    *pool;          /**< Memory pool.       */
 
-    pjmedia_vid_cb		     vid_cb;	    /**< Stream callback.   */
+    pjmedia_vid_dev_cb		     vid_cb;	    /**< Stream callback.   */
     void			    *user_data;	    /**< Application data.  */
 
@@ -108,14 +108,14 @@
                                               pjmedia_vid_dev_factory *f,
 					      unsigned index,
-					      pjmedia_vid_param *param);
+					      pjmedia_vid_dev_param *param);
 static pj_status_t cbar_factory_create_stream(
 					pjmedia_vid_dev_factory *f,
-					pjmedia_vid_param *param,
-					const pjmedia_vid_cb *cb,
+					pjmedia_vid_dev_param *param,
+					const pjmedia_vid_dev_cb *cb,
 					void *user_data,
 					pjmedia_vid_dev_stream **p_vid_strm);
 
 static pj_status_t cbar_stream_get_param(pjmedia_vid_dev_stream *strm,
-					 pjmedia_vid_param *param);
+					 pjmedia_vid_dev_param *param);
 static pj_status_t cbar_stream_get_cap(pjmedia_vid_dev_stream *strm,
 				       pjmedia_vid_dev_cap cap,
@@ -200,7 +200,4 @@
     ddi->info.caps = PJMEDIA_VID_DEV_CAP_FORMAT;
     ddi->info.fmt_cnt = sizeof(cbar_fmts)/sizeof(cbar_fmts[0]);
-    ddi->info.fmt = (pjmedia_format*)
- 		    pj_pool_calloc(cf->pool, ddi->info.fmt_cnt,
- 				   sizeof(pjmedia_format));
     for (i = 0; i < ddi->info.fmt_cnt; i++) {
         pjmedia_format *fmt = &ddi->info.fmt[i];
@@ -263,5 +260,5 @@
                                               pjmedia_vid_dev_factory *f,
 					      unsigned index,
-					      pjmedia_vid_param *param)
+					      pjmedia_vid_dev_param *param)
 {
     struct cbar_factory *cf = (struct cbar_factory*)f;
@@ -372,6 +369,6 @@
 static pj_status_t cbar_factory_create_stream(
 					pjmedia_vid_dev_factory *f,
-					pjmedia_vid_param *param,
-					const pjmedia_vid_cb *cb,
+					pjmedia_vid_dev_param *param,
+					const pjmedia_vid_dev_cb *cb,
 					void *user_data,
 					pjmedia_vid_dev_stream **p_vid_strm)
@@ -442,5 +439,5 @@
 /* API: Get stream info. */
 static pj_status_t cbar_stream_get_param(pjmedia_vid_dev_stream *s,
-					 pjmedia_vid_param *pi)
+					 pjmedia_vid_dev_param *pi)
 {
     struct cbar_stream *strm = (struct cbar_stream*)s;
Index: /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-videodev/dshow_dev.c
===================================================================
--- /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-videodev/dshow_dev.c	(revision 3657)
+++ /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-videodev/dshow_dev.c	(revision 3658)
@@ -97,8 +97,8 @@
 {
     pjmedia_vid_dev_stream   base;		    /**< Base stream	    */
-    pjmedia_vid_param	     param;		    /**< Settings	    */
+    pjmedia_vid_dev_param    param;		    /**< Settings	    */
     pj_pool_t		    *pool;		    /**< Memory pool.	    */
 
-    pjmedia_vid_cb	     vid_cb;		    /**< Stream callback.   */
+    pjmedia_vid_dev_cb	     vid_cb;		    /**< Stream callback.   */
     void		    *user_data;		    /**< Application data.  */
 
@@ -136,14 +136,14 @@
                                                pjmedia_vid_dev_factory *f,
 					       unsigned index,
-					       pjmedia_vid_param *param);
+					       pjmedia_vid_dev_param *param);
 static pj_status_t dshow_factory_create_stream(
 					pjmedia_vid_dev_factory *f,
-					pjmedia_vid_param *param,
-					const pjmedia_vid_cb *cb,
+					pjmedia_vid_dev_param *param,
+					const pjmedia_vid_dev_cb *cb,
 					void *user_data,
 					pjmedia_vid_dev_stream **p_vid_strm);
 
 static pj_status_t dshow_stream_get_param(pjmedia_vid_dev_stream *strm,
-					  pjmedia_vid_param *param);
+					  pjmedia_vid_dev_param *param);
 static pj_status_t dshow_stream_get_cap(pjmedia_vid_dev_stream *strm,
 				        pjmedia_vid_dev_cap cap,
@@ -436,10 +436,4 @@
 
 			ddi->info.fmt_cnt = 0;
-			ddi->info.fmt = (pjmedia_format*)
-					pj_pool_calloc(df->dev_pool,
-						       sizeof(dshow_fmts)/
-						       sizeof(dshow_fmts[0]),
-						       sizeof(pjmedia_format));
-
 			for (j = 0;
 			     j < sizeof(dshow_fmts)/sizeof(dshow_fmts[0]);
@@ -482,5 +476,4 @@
 
     ddi->info.fmt_cnt = 1;
-    ddi->info.fmt = PJ_POOL_ZALLOC_T(df->dev_pool, pjmedia_format);
     pjmedia_format_init_video(&ddi->info.fmt[0], dshow_fmts[0].pjmedia_format, 
 			      DEFAULT_WIDTH, DEFAULT_HEIGHT, 
@@ -526,5 +519,5 @@
                                                pjmedia_vid_dev_factory *f,
 					       unsigned index,
-					       pjmedia_vid_param *param)
+					       pjmedia_vid_dev_param *param)
 {
     struct dshow_factory *df = (struct dshow_factory*)f;
@@ -814,6 +807,6 @@
 static pj_status_t dshow_factory_create_stream(
 					pjmedia_vid_dev_factory *f,
-					pjmedia_vid_param *param,
-					const pjmedia_vid_cb *cb,
+					pjmedia_vid_dev_param *param,
+					const pjmedia_vid_dev_cb *cb,
 					void *user_data,
 					pjmedia_vid_dev_stream **p_vid_strm)
@@ -904,5 +897,5 @@
 /* API: Get stream info. */
 static pj_status_t dshow_stream_get_param(pjmedia_vid_dev_stream *s,
-					  pjmedia_vid_param *pi)
+					  pjmedia_vid_dev_param *pi)
 {
     struct dshow_stream *strm = (struct dshow_stream*)s;
Index: /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-videodev/ffmpeg_dev.c
===================================================================
--- /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-videodev/ffmpeg_dev.c	(revision 3657)
+++ /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-videodev/ffmpeg_dev.c	(revision 3658)
@@ -72,5 +72,5 @@
     ffmpeg_factory              *factory;
     pj_pool_t                   *pool;
-    pjmedia_vid_param            param;
+    pjmedia_vid_dev_param        param;
     AVFormatContext             *ff_fmt_ctx;
 } ffmpeg_stream;
@@ -88,14 +88,14 @@
                                                 pjmedia_vid_dev_factory *f,
 					        unsigned index,
-					        pjmedia_vid_param *param);
+					        pjmedia_vid_dev_param *param);
 static pj_status_t ffmpeg_factory_create_stream(
 					pjmedia_vid_dev_factory *f,
-					pjmedia_vid_param *param,
-					const pjmedia_vid_cb *cb,
+					pjmedia_vid_dev_param *param,
+					const pjmedia_vid_dev_cb *cb,
 					void *user_data,
 					pjmedia_vid_dev_stream **p_vid_strm);
 
 static pj_status_t ffmpeg_stream_get_param(pjmedia_vid_dev_stream *strm,
-					   pjmedia_vid_param *param);
+					   pjmedia_vid_dev_param *param);
 static pj_status_t ffmpeg_stream_get_cap(pjmedia_vid_dev_stream *strm,
 				         pjmedia_vid_dev_cap cap,
@@ -154,5 +154,5 @@
                                        AVInputFormat *ifmt,
                                        const char *dev_name,
-                                       const pjmedia_vid_param *param)
+                                       const pjmedia_vid_dev_param *param)
 {
     AVFormatParameters fp;
@@ -286,7 +286,4 @@
             info->base.caps = PJMEDIA_VID_DEV_CAP_FORMAT;
             info->base.fmt_cnt = 1;
-            info->base.fmt = (pjmedia_format*)
- 		             pj_pool_calloc(ff->dev_pool, info->base.fmt_cnt,
- 				            sizeof(pjmedia_format));
             for (i = 0; i < info->base.fmt_cnt; ++i) {
                 pjmedia_format *fmt = &info->base.fmt[i];
@@ -328,5 +325,5 @@
                                                 pjmedia_vid_dev_factory *f,
 					        unsigned index,
-					        pjmedia_vid_param *param)
+					        pjmedia_vid_dev_param *param)
 {
     ffmpeg_factory *ff = (ffmpeg_factory*)f;
@@ -359,6 +356,6 @@
 static pj_status_t ffmpeg_factory_create_stream(
 					pjmedia_vid_dev_factory *f,
-					pjmedia_vid_param *param,
-					const pjmedia_vid_cb *cb,
+					pjmedia_vid_dev_param *param,
+					const pjmedia_vid_dev_cb *cb,
 					void *user_data,
 					pjmedia_vid_dev_stream **p_vid_strm)
@@ -396,5 +393,5 @@
 /* API: Get stream info. */
 static pj_status_t ffmpeg_stream_get_param(pjmedia_vid_dev_stream *s,
-					   pjmedia_vid_param *pi)
+					   pjmedia_vid_dev_param *pi)
 {
     ffmpeg_stream *strm = (ffmpeg_stream*)s;
Index: /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-videodev/sdl_dev.c
===================================================================
--- /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-videodev/sdl_dev.c	(revision 3657)
+++ /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-videodev/sdl_dev.c	(revision 3658)
@@ -135,8 +135,8 @@
 {
     pjmedia_vid_dev_stream	 base;		    /**< Base stream	    */
-    pjmedia_vid_param		 param;		    /**< Settings	    */
+    pjmedia_vid_dev_param	 param;		    /**< Settings	    */
     pj_pool_t			*pool;              /**< Memory pool.       */
 
-    pjmedia_vid_cb		 vid_cb;            /**< Stream callback.   */
+    pjmedia_vid_dev_cb		 vid_cb;            /**< Stream callback.   */
     void			*user_data;         /**< Application data.  */
 
@@ -195,14 +195,14 @@
                                              pjmedia_vid_dev_factory *f,
 					     unsigned index,
-					     pjmedia_vid_param *param);
+					     pjmedia_vid_dev_param *param);
 static pj_status_t sdl_factory_create_stream(
 					pjmedia_vid_dev_factory *f,
-					pjmedia_vid_param *param,
-					const pjmedia_vid_cb *cb,
+					pjmedia_vid_dev_param *param,
+					const pjmedia_vid_dev_cb *cb,
 					void *user_data,
 					pjmedia_vid_dev_stream **p_vid_strm);
 
 static pj_status_t sdl_stream_get_param(pjmedia_vid_dev_stream *strm,
-					pjmedia_vid_param *param);
+					pjmedia_vid_dev_param *param);
 static pj_status_t sdl_stream_get_cap(pjmedia_vid_dev_stream *strm,
 				      pjmedia_vid_dev_cap cap,
@@ -321,7 +321,4 @@
 #endif
 
-        ddi->info.fmt = (pjmedia_format*)
-                        pj_pool_calloc(sf->pool, ddi->info.fmt_cnt,
-                                       sizeof(pjmedia_format));
         for (j = 0; j < ddi->info.fmt_cnt; j++) {
             pjmedia_format *fmt = &ddi->info.fmt[j];
@@ -392,5 +389,5 @@
                                              pjmedia_vid_dev_factory *f,
 					     unsigned index,
-					     pjmedia_vid_param *param)
+					     pjmedia_vid_dev_param *param)
 {
     struct sdl_factory *sf = (struct sdl_factory*)f;
@@ -991,6 +988,6 @@
 static pj_status_t sdl_factory_create_stream(
 					pjmedia_vid_dev_factory *f,
-					pjmedia_vid_param *param,
-					const pjmedia_vid_cb *cb,
+					pjmedia_vid_dev_param *param,
+					const pjmedia_vid_dev_cb *cb,
 					void *user_data,
 					pjmedia_vid_dev_stream **p_vid_strm)
@@ -1076,5 +1073,5 @@
 /* API: Get stream info. */
 static pj_status_t sdl_stream_get_param(pjmedia_vid_dev_stream *s,
-					pjmedia_vid_param *pi)
+					pjmedia_vid_dev_param *pi)
 {
     struct sdl_stream *strm = (struct sdl_stream*)s;
Index: /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-videodev/v4l2_dev.c
===================================================================
--- /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-videodev/v4l2_dev.c	(revision 3657)
+++ /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-videodev/v4l2_dev.c	(revision 3658)
@@ -93,5 +93,5 @@
 {
     pjmedia_vid_dev_stream	 base;		/**< Base stream	*/
-    pjmedia_vid_param	 	 param;		/**< Settings		*/
+    pjmedia_vid_dev_param	 param;		/**< Settings		*/
     pj_pool_t           	*pool;		/**< Memory pool.	*/
 
@@ -103,5 +103,5 @@
     pj_time_val			 start_time;	/**< Time when started	*/
 
-    pjmedia_vid_cb       	 vid_cb;	/**< Stream callback  	*/
+    pjmedia_vid_dev_cb       	 vid_cb;	/**< Stream callback  	*/
     void                	*user_data;	/**< Application data 	*/
 } vid4lin_stream;
@@ -129,13 +129,13 @@
                                                  pjmedia_vid_dev_factory *f,
 					         unsigned index,
-					         pjmedia_vid_param *param);
+					         pjmedia_vid_dev_param *param);
 static pj_status_t vid4lin_factory_create_stream(pjmedia_vid_dev_factory *f,
-						 pjmedia_vid_param *prm,
-					         const pjmedia_vid_cb *cb,
+						 pjmedia_vid_dev_param *prm,
+					         const pjmedia_vid_dev_cb *cb,
 					         void *user_data,
 					         pjmedia_vid_dev_stream **p);
 
 static pj_status_t vid4lin_stream_get_param(pjmedia_vid_dev_stream *strm,
-					    pjmedia_vid_param *param);
+					    pjmedia_vid_dev_param *param);
 static pj_status_t vid4lin_stream_get_cap(pjmedia_vid_dev_stream *strm,
 				          pjmedia_vid_dev_cap cap,
@@ -301,7 +301,4 @@
 
 	pdi->info.fmt_cnt = fmt_cnt;
-	pdi->info.fmt = (pjmedia_format*)
-			pj_pool_calloc(pool, sizeof(pjmedia_format), fmt_cnt);
-
 	for (j=0; j<fmt_cnt; ++j) {
 	    pjmedia_format_init_video(&pdi->info.fmt[j],
@@ -395,5 +392,5 @@
                                                  pjmedia_vid_dev_factory *f,
                                                  unsigned index,
-                                                 pjmedia_vid_param *param)
+                                                 pjmedia_vid_dev_param *param)
 {
     vid4lin_factory *cf = (vid4lin_factory*)f;
@@ -426,5 +423,5 @@
 /* util: setup format */
 static pj_status_t vid4lin_stream_init_fmt(vid4lin_stream *stream,
-					const pjmedia_vid_param *param,
+					const pjmedia_vid_dev_param *param,
 					pj_uint32_t pix_fmt)
 {
@@ -532,6 +529,6 @@
 /* API: create stream */
 static pj_status_t vid4lin_factory_create_stream(pjmedia_vid_dev_factory *f,
-				      pjmedia_vid_param *param,
-				      const pjmedia_vid_cb *cb,
+				      pjmedia_vid_dev_param *param,
+				      const pjmedia_vid_dev_cb *cb,
 				      void *user_data,
 				      pjmedia_vid_dev_stream **p_vid_strm)
@@ -615,5 +612,5 @@
 /* API: Get stream info. */
 static pj_status_t vid4lin_stream_get_param(pjmedia_vid_dev_stream *s,
-					    pjmedia_vid_param *pi)
+					    pjmedia_vid_dev_param *pi)
 {
     vid4lin_stream *strm = (vid4lin_stream*)s;
Index: /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-videodev/videodev.c
===================================================================
--- /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-videodev/videodev.c	(revision 3657)
+++ /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-videodev/videodev.c	(revision 3658)
@@ -145,5 +145,5 @@
 }
 
-static pj_status_t get_cap_pointer(const pjmedia_vid_param *param,
+static pj_status_t get_cap_pointer(const pjmedia_vid_dev_param *param,
 				   pjmedia_vid_dev_cap cap,
 				   void **ptr,
@@ -182,7 +182,8 @@
 
 /* API: set cap value to param */
-PJ_DEF(pj_status_t) pjmedia_vid_param_set_cap( pjmedia_vid_param *param,
-					       pjmedia_vid_dev_cap cap,
-					       const void *pval)
+PJ_DEF(pj_status_t)
+pjmedia_vid_dev_param_set_cap( pjmedia_vid_dev_param *param,
+			       pjmedia_vid_dev_cap cap,
+			       const void *pval)
 {
     void *cap_ptr;
@@ -201,7 +202,8 @@
 
 /* API: get cap value from param */
-PJ_DEF(pj_status_t) pjmedia_vid_param_get_cap( const pjmedia_vid_param *param,
-					       pjmedia_vid_dev_cap cap,
-					       void *pval)
+PJ_DEF(pj_status_t)
+pjmedia_vid_dev_param_get_cap( const pjmedia_vid_dev_param *param,
+			       pjmedia_vid_dev_cap cap,
+			       void *pval)
 {
     void *cap_ptr;
@@ -632,5 +634,5 @@
 PJ_DEF(pj_status_t) pjmedia_vid_dev_default_param(pj_pool_t *pool,
                                                   pjmedia_vid_dev_index id,
-						  pjmedia_vid_param *param)
+						  pjmedia_vid_dev_param *param)
 {
     pjmedia_vid_dev_factory *f;
@@ -661,6 +663,6 @@
 /* API: Open video stream object using the specified parameters. */
 PJ_DEF(pj_status_t) pjmedia_vid_dev_stream_create(
-					pjmedia_vid_param *prm,
-					const pjmedia_vid_cb *cb,
+					pjmedia_vid_dev_param *prm,
+					const pjmedia_vid_dev_cb *cb,
 					void *user_data,
 					pjmedia_vid_dev_stream **p_vid_strm)
@@ -727,5 +729,5 @@
 PJ_DEF(pj_status_t) pjmedia_vid_dev_stream_get_param(
 					    pjmedia_vid_dev_stream *strm,
-					    pjmedia_vid_param *param)
+					    pjmedia_vid_dev_param *param)
 {
     pj_status_t status;
Index: /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia/vid_port.c
===================================================================
--- /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia/vid_port.c	(revision 3657)
+++ /pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia/vid_port.c	(revision 3658)
@@ -45,5 +45,5 @@
 //    pjmedia_rect_size        cap_size;
     pjmedia_vid_dev_stream  *strm;
-    pjmedia_vid_cb           strm_cb;
+    pjmedia_vid_dev_cb       strm_cb;
     void                    *strm_cb_data;
     enum role                role,
@@ -176,9 +176,9 @@
     const pjmedia_video_format_detail *vfd;
     char dev_name[64];
-    pjmedia_vid_cb vid_cb;
+    pjmedia_vid_dev_cb vid_cb;
     pj_bool_t need_frame_buf = PJ_FALSE;
     pj_status_t status;
     unsigned ptime_usec;
-    pjmedia_vid_param vparam;
+    pjmedia_vid_dev_param vparam;
     pjmedia_vid_dev_info di;
     unsigned i;
@@ -359,5 +359,5 @@
 
 PJ_DEF(void) pjmedia_vid_port_set_cb(pjmedia_vid_port *vid_port,
-				     const pjmedia_vid_cb *cb,
+				     const pjmedia_vid_dev_cb *cb,
                                      void *user_data)
 {
@@ -607,5 +607,5 @@
         
         if (vp->stream_role == ROLE_PASSIVE) {
-            pjmedia_vid_param vid_param;
+            pjmedia_vid_dev_param vid_param;
             pjmedia_clock_param clock_param;
             
Index: /pjproject/branches/projects/2.0-dev/pjmedia/src/test/test.h
===================================================================
--- /pjproject/branches/projects/2.0-dev/pjmedia/src/test/test.h	(revision 3657)
+++ /pjproject/branches/projects/2.0-dev/pjmedia/src/test/test.h	(revision 3658)
@@ -41,4 +41,5 @@
 int vid_codec_test(void);
 int vid_dev_test(void);
+int vid_port_test(void);
 
 extern pj_pool_factory *mem;
Index: /pjproject/branches/projects/2.0-dev/pjmedia/src/test/vid_port_test.c
===================================================================
--- /pjproject/branches/projects/2.0-dev/pjmedia/src/test/vid_port_test.c	(revision 3657)
+++ /pjproject/branches/projects/2.0-dev/pjmedia/src/test/vid_port_test.c	(revision 3658)
@@ -47,5 +47,5 @@
     pjmedia_vid_port_param param;
     pjmedia_video_format_detail *vfd;
-    pjmedia_vid_cb cb;
+    pjmedia_vid_dev_cb cb;
     pjmedia_event_subscription esub;
     pj_status_t status;
@@ -179,5 +179,5 @@
     pjmedia_format_id test_fmts[] = {
         PJMEDIA_FORMAT_RGBA,
-        PJMEDIA_FORMAT_UYVY
+        PJMEDIA_FORMAT_I420
     };
     pj_status_t status;
